EntityConfiguration (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities
Class EntityConfiguration

    java.lang.Object
      org.hibernate.envers.entities.EntityConfiguration

    public class EntityConfiguration

extends Object

Constructor Summary
`EntityConfiguration(String versionsEntityName, String entityClassName, IdMappingData idMappingData, ExtendedPropertyMapper propertyMapper, String parentEntityName)`

Method Summary
`void` | `addToManyMiddleNotOwningRelation(String fromPropertyName, String mappedByPropertyName, String toEntityName)`
`void` | `addToManyMiddleRelation(String fromPropertyName, String toEntityName)`
`void` | `addToManyNotOwningRelation(String fromPropertyName, String mappedByPropertyName, String toEntityName, IdMapper idMapper, PropertyMapper fakeBidirectionalRelationMapper, PropertyMapper fakeBidirectionalRelationIndexMapper)`
`void` | `addToOneNotOwningRelation(String fromPropertyName, String mappedByPropertyName, String toEntityName, IdMapper idMapper)`
`void` | `addToOneRelation(String fromPropertyName, String toEntityName, IdMapper idMapper, boolean insertable)`
`String` | `getEntityClassName()`
`IdMapper` | `getIdMapper()`
`IdMappingData` | `getIdMappingData()`
`String` | `getParentEntityName()`
`ExtendedPropertyMapper` | `getPropertyMapper()`
`RelationDescription` | `getRelationDescription(String propertyName)`
`boolean` | `isRelation(String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityConfiguration

    public EntityConfiguration(String versionsEntityName,
                               String entityClassName,
                               IdMappingData idMappingData,
                               ExtendedPropertyMapper propertyMapper,
                               String parentEntityName)

Method Detail

### addToOneRelation

    public void addToOneRelation(String fromPropertyName,
                                 String toEntityName,
                                 IdMapper idMapper,
                                 boolean insertable)

### addToOneNotOwningRelation

    public void addToOneNotOwningRelation(String fromPropertyName,
                                          String mappedByPropertyName,
                                          String toEntityName,
                                          IdMapper idMapper)

### addToManyNotOwningRelation

    public void addToManyNotOwningRelation(String fromPropertyName,
                                           String mappedByPropertyName,
                                           String toEntityName,
                                           IdMapper idMapper,
                                           PropertyMapper fakeBidirectionalRelationMapper,
                                           PropertyMapper fakeBidirectionalRelationIndexMapper)

### addToManyMiddleRelation

    public void addToManyMiddleRelation(String fromPropertyName,
                                        String toEntityName)

### addToManyMiddleNotOwningRelation

    public void addToManyMiddleNotOwningRelation(String fromPropertyName,
                                                 String mappedByPropertyName,
                                                 String toEntityName)

### isRelation

    public boolean isRelation(String propertyName)

### getRelationDescription

    public RelationDescription getRelationDescription(String propertyName)

### getIdMappingData

    public IdMappingData getIdMappingData()

### getIdMapper

    public IdMapper getIdMapper()

### getPropertyMapper

    public ExtendedPropertyMapper getPropertyMapper()

### getParentEntityName

    public String getParentEntityName()

### getEntityClassName

    public String getEntityClassName()

  Returns:
    the className for the configured entity

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.